<?php declare(strict_types = 1);

namespace Drupal\debug_bar;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Template\Attribute;
use Drupal\Core\Url;

/**
 * A data structure to represent a single debug bar item.
 */
final class DebugBarItem {

  /**
   * Constructs the object.
   */
  public function __construct(
    readonly public string $id,
    public string|TranslatableMarkup $value,
    public string $iconPath,
    public bool $access = TRUE,
    public int $weight = 0,
    public ?Url $url = NULL,
    public Attribute $attributes = new Attribute(),
    public string|TranslatableMarkup|NULL $title = NULL,
    public array $query = [],
  ) {}

}
